<p align="center">
  <a href="https://metroui.org.ua/">
    <img src="https://metroui.org.ua/images/metro-xscode-logo.jpg" alt="">
  </a>

  <h3 align="center">Metro 4 Components Library</h3>
</p>

<p align="center">
    Sleek, intuitive, and powerful front-end framework for faster and easier web development.
 Build responsive, mobile-first projects on the web with the first front-end component library in Metro Style.
    <br>
    <a href="https://metroui.org.ua/"><strong>Explore Metro 4 docs »</strong></a>
</p>

<p align="center">
Metro 4 is an MIT-licensed open source project. 
It's an independent project with its ongoing development made possible entirely thanks to the support by these
<br>
<a href="https://metroui.org.ua/support.html#backers"><strong>awesome Backers</strong></a>.
</p>
<p align="center">
<a href="https://www.patreon.com/metroui">
	<img src="https://c5.patreon.com/external/logo/become_a_patron_button@2x.png" height="38">
</a>
<a href="https://www.buymeacoffee.com/pimenov">
	<img src="https://metroui.org.ua/images/buy-me-coffee2.png" height="38">
</a>
</p>
<br>

----

![Dependencies](https://img.shields.io/badge/Dependencies-none-darklime.svg)
[![CSS gzip size](http://img.badgesize.io/olton/Metro-UI-CSS/master/build/metro.css?compression=gzip&label=CSS+gzip)](https://github.com/olton/Metro-UI-CSS/blob/master/build/metro.css)
[![JS gzip size](http://img.badgesize.io/olton/Metro-UI-CSS/master/build/metro.js?compression=gzip&label=JS+gzip)](https://github.com/olton/Metro-UI-CSS/blob/master/build/metro.js)
[![Icons gzip size](http://img.badgesize.io/olton/Metro-UI-CSS/master/build/icons.css?compression=gzip&label=Icons+gzip)](https://github.com/olton/Metro-UI-CSS/blob/master/build/icons.css)
![GitHub release](https://img.shields.io/github/v/release/olton/Metro-UI-CSS?color=darkLime)
[![npm version](https://badge.fury.io/js/metro4.svg)](https://badge.fury.io/js/metro4)
![Website](https://img.shields.io/website/https/metroui.org.ua.svg)
![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?style=flat)
![GitHub issues](https://img.shields.io/github/issues-raw/olton/Metro-UI-CSS.svg)
![GitHub code size in bytes](https://img.shields.io/github/languages/code-size/olton/Metro-UI-CSS.svg)

----

### License and Premium Features
This project licensed under the **MIT** license. 
In addition, **SUPPORT PACK** is available for an annual subscription on [https://korzh.com/](https://https://korzh.com/) and for a [Patreon Patrons](https://www.patreon.com/metroui).

**SUPPORT PACK** includes an **Extra time for priority support** by email and other options.

### Community

[![Join the chat at https://discord.gg/QYszPjRP](https://img.shields.io/badge/community-on%20discord-brightgreen.svg?style=flat)](https://discord.gg/QYszPjRP)

## Contributing
All contributions are welcome. Learn more about how you can contribute to this project [here](CONTRIBUTING.md). 

> Important! Before you create Pull Request, you must sign CLA! 
 
### Docs

Please click [here](https://metroui.org.ua/) for Documentation and Demo.   

### Releases

Metro 4 releases frequently. I Am create release when there are significant bug fixes, new APIs or components.
The usual frequency of release of the new version is one week on Sundays.

### LTS
**Long term support** of older versions of Metro 4 does not currently exist. 
If your current version of Metro 4 works for you, you can stay on it for as long as you'd like. 
If you want to make use of new features as they come in you should upgrade to a newer version.

### Browser Compatibility
![Chrome](https://raw.github.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png) | ![Firefox](https://raw.github.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png) | ![Edge](https://raw.github.com/alrra/browser-logos/master/src/edge/edge_48x48.png) | ![Safari](https://raw.github.com/alrra/browser-logos/master/src/safari/safari_48x48.png) | ![Opera](https://raw.github.com/alrra/browser-logos/master/src/opera/opera_48x48.png) 
--- | --- | --- | --- | --- |
Latest 2 ✔ | Latest 2 ✔ | Latest 2 ✔ | Latest 2 ✔ | Latest 2 ✔ |

### Old version
Metro UI CSS 3.x you can find in a repo [Metro-UI-CSS-3](https://github.com/olton/Metro-UI-CSS-3)     
Metro UI CSS 2.x you can find in a repo [Metro-UI-CSS-2](https://github.com/olton/Metro-UI-CSS-2)     
Metro UI CSS 0.x you can find in a repo [Metro-UI-CSS-095](https://github.com/olton/Metro-UI-CSS-095) 

 Documentation and Demo for V3: [metroui.org.ua/v3](https://metroui.org.ua/v3/).   
 Documentation and Demo for V2: [metroui.org.ua/v2](https://metroui.org.ua/v2/).   
 Documentation and Demo for V0: [metroui.org.ua/v0](https://metroui.org.ua/v0/).   

### Activities

![Alt](https://repobeats.axiom.co/api/embed/75c6aba3d69c314c78727354cc6082e916ad1297.svg "Repobeats analytics image")

### Thanks
Thanks to all. Special thanks to all those who financially supported the project.    

### Credits
You can read about credits [here](CREDITS.md)

---

2012-2020 © Copyright by Serhii Pimenov. All Rights Reserved. Created by Serhii Pimenov.
